<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

define('ROOT', str_replace(array('\\', '//'), '/', getcwd()).'/');

if (file_exists(ROOT.'__incfiles/core.php')) {
	require_once(ROOT.'__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

$row = mysql_fetch_row(mysql_query("SELECT TRIM(`path`) FROM `".SQLprefixTable."files` WHERE `id`='".$id."'"));

if (file_exists($row[0])) {

	if (!isset($_COOKIE['zip_'.$id])) {
		mysql_query("UPDATE `".SQLprefixTable."files` SET `load`=`load`+'1' WHERE `id`='".$id."'");
		setCookie('zip_'.$id, time(), time() + 3600 * 24 * 365, '/');
	}
	
	$tmp = 'cache/'.basename($row[0]).'.zip';

	if (!file_exists($tmp)) {
		require_once(SYSTEM.'pclzip.lib.php');
		
		$zip = new PclZip($tmp);
		
		function str ($event, &$header) {
			$header['stored_filename'] = basename($header['filename']);
			return 1;
		}
		
		$zip->create($row[0], PCLZIP_CB_PRE_ADD, 'str');
		
		chmod($tmp, 0644);
	}
	
	header('Location: '.$tmp, true, 301);
	
} else {
	error('Файл не найден!');
}
?>